From: git@ipfire.org
To: ipfire-scm@lists.ipfire.org
Subject: [git.ipfire.org] IPFire 2.x development tree branch, thirteen, updated. b9d4e380c7099f67f32b030ac78bc02acd58ca7f
Date: Thu, 22 Nov 2012 19:29:31 +0100 [thread overview]
Message-ID: <20121122182932.2D5582039E@argus.ipfire.org> (raw)
[-- Attachment #1: Type: text/plain, Size: 6068 bytes --]
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".
The branch, thirteen has been updated
via b9d4e380c7099f67f32b030ac78bc02acd58ca7f (commit)
via 8df8a8690bb774bc574c47c74a5964be9858be73 (commit)
from 10885fa912d583ddf3e545174747b70254e35c92 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit b9d4e380c7099f67f32b030ac78bc02acd58ca7f
Author: Arne Fitzenreiter <arne_f(a)ipfire.org>
Date: Thu Nov 22 19:26:51 2012 +0100
updater: several improvements and fixes.
print log errors to "ipfire:" so it will showed at webif.
check free space on root.
initiate pae kernel installation if pae is supported.
commit 8df8a8690bb774bc574c47c74a5964be9858be73
Author: Arne Fitzenreiter <arne_f(a)ipfire.org>
Date: Thu Nov 22 19:24:11 2012 +0100
linux-pae: if pae is supported set pae kernel for next boot.
-----------------------------------------------------------------------
Summary of changes:
config/rootfiles/core/65/update.sh | 46 ++++++++++++++++++++++++++++++++------
src/paks/linux-pae/install.sh | 6 +++++
2 files changed, 45 insertions(+), 7 deletions(-)
Difference in files:
diff --git a/config/rootfiles/core/65/update.sh b/config/rootfiles/core/65/update.sh
index 904287b..2677936 100644
--- a/config/rootfiles/core/65/update.sh
+++ b/config/rootfiles/core/65/update.sh
@@ -35,7 +35,9 @@ function add_to_backup ()
#
# Remove old core updates from pakfire cache to save space...
-core=65
+#
+# TODO: need to be corrected before release
+core=64
for (( i=1; i<=$core; i++ ))
do
rm -f /var/cache/pakfire/core-upgrade-*-$i.ipfire
@@ -44,8 +46,8 @@ done
#
# Do some sanity checks.
if [ ! "$(mount | grep " reiser4 (")" == "" ]; then
- /usr/bin/logger -p syslog.emerg -t core-upgrade-$core \
- "ERROR: cannot update because there is a reiser4 fs mounted."
+ /usr/bin/logger -p syslog.emerg -t ipfire \
+ "core-update-$core: ERROR cannot update because there is a reiser4 fs mounted."
exit 1
fi
@@ -81,12 +83,22 @@ add_to_backup lib/libncurses*
add_to_backup etc/dircolors
add_to_backup etc/profile.d
add_to_backup usr/share/terminfo
-
+add_to_backup etc/sysconfig/lm_sensors
+add_to_backup etc/sysconfig/rc.local
# Backup the files
tar cJvf /var/ipfire/backup/core-upgrade_$KVER.tar.xz \
-C / -T /opt/pakfire/tmp/ROOTFILES --exclude='#*' --exclude='/var/cache' > /dev/null 2>&1
+# Check diskspace on root
+ROOTSPACE=`df / -Pk | sed "s| * | |g" | cut -d" " -f4 | tail -n 1`
+
+if [ $ROOTSPACE -lt 70000 ]; then
+ /usr/bin/logger -p syslog.emerg -t ipfire \
+ "core-update-$core: ERROR cannot update because not enough free space on root."
+ exit 2
+fi
+
echo
echo Update Kernel to $KVER ...
#
@@ -197,6 +209,11 @@ grub-install --no-floppy ${ROOT::`expr length $ROOT`-1} --recheck
rm -rf /etc/sysconfig/lm_sensors
#
+# Remove powerbutton loop from rc local.
+#
+sed -i "/# power button shutdown/,+3d" /etc/sysconfig/rc.local
+
+#
#Update Language cache
perl -e "require '/var/ipfire/lang.pl'; &Lang::BuildCacheLang"
@@ -206,6 +223,21 @@ perl -e "require '/var/ipfire/lang.pl'; &Lang::BuildCacheLang"
rm -rf /opt/pakfire/db/*/meta-fontconfig
rm -rf /opt/pakfire/db/*/meta-glib
+# Force (re)install pae kernel if pae is supported
+rm -rf /opt/pakfire/db/*/meta-linux-pae
+if [ ! "$(grep "^flags.* pae " /proc/cpuinfo)" == "" ]; then
+ echo "Name: linux-pae" > /opt/pakfire/db/installed/meta-linux-pae
+ echo "ProgVersion: 0" >> /opt/pakfire/db/installed/meta-linux-pae
+ echo "Release: 0" >> /opt/pakfire/db/installed/meta-linux-pae
+fi
+
+# Force reinstall xen kernel if it was installed
+if [ -e "/opt/pakfire/db/installed/meta-linux-xen" ]; then
+ echo "Name: linux-xen" > /opt/pakfire/db/installed/meta-linux-xen
+ echo "ProgVersion: 0" >> /opt/pakfire/db/installed/meta-linux-xen
+ echo "Release: 0" >> /opt/pakfire/db/installed/meta-linux-xen
+fi
+
#
# After pakfire has ended run it again and update the lists and do upgrade
#
@@ -220,9 +252,9 @@ echo '/opt/pakfire/pakfire update -y --force' >> /tmp/pak_update
echo '/opt/pakfire/pakfire upgrade -y' >> /tmp/pak_update
echo '/opt/pakfire/pakfire upgrade -y' >> /tmp/pak_update
echo '/opt/pakfire/pakfire upgrade -y' >> /tmp/pak_update
-echo '/usr/bin/logger -p syslog.emerg -t core-upgrade-$core "Upgrade finished. If you use a customized grub.cfg"' >> /tmp/pak_update
-echo '/usr/bin/logger -p syslog.emerg -t core-upgrade-$core "Check it before reboot !!!"' >> /tmp/pak_update
-echo '/usr/bin/logger -p syslog.emerg -t core-upgrade-$core " *** Please reboot... *** "' >> /tmp/pak_update
+echo '/usr/bin/logger -p syslog.emerg -t ipfire "Core-upgrade finished. If you use a customized grub.cfg"' >> /tmp/pak_update
+echo '/usr/bin/logger -p syslog.emerg -t ipfire "Check it before reboot !!!"' >> /tmp/pak_update
+echo '/usr/bin/logger -p syslog.emerg -t ipfire " *** Please reboot... *** "' >> /tmp/pak_update
echo 'touch /var/run/need_reboot ' >> /tmp/pak_update
#
chmod +x /tmp/pak_update
diff --git a/src/paks/linux-pae/install.sh b/src/paks/linux-pae/install.sh
index 60f8bbb..915b2f0 100644
--- a/src/paks/linux-pae/install.sh
+++ b/src/paks/linux-pae/install.sh
@@ -71,3 +71,9 @@ echo " savedefault $ENTRY" >> /boot/grub/grub.conf
# Create new module depency
#
depmod -a $KVER-ipfire-pae
+
+# Default pae and request a reboot if pae is supported
+if [ ! "$(grep "^flags.* pae " /proc/cpuinfo)" == "" ]; then
+ grub-set-default $ENTRY
+ touch /var/run/need_reboot
+fi
hooks/post-receive
--
IPFire 2.x development tree
reply other threads:[~2012-11-22 18:29 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20121122182932.2D5582039E@argus.ipfire.org \
--to=git@ipfire.org \
--cc=ipfire-scm@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox